Permalink
Browse files

Version bump to 1.0.0, deprecate Rails 2.x support.

  • Loading branch information...
1 parent 7514651 commit 2b5838a47dcc1d710542319224b9a939a7fa3e14 @jstewart committed Oct 27, 2012
Showing with 9 additions and 62 deletions.
  1. +1 −0 .gitignore
  2. +1 −0 Gemfile
  3. +3 −7 README
  4. +2 −7 README.rdoc
  5. +0 −42 Rakefile
  6. +2 −6 ezprint.gemspec
View
@@ -18,5 +18,6 @@ tmtags
coverage
rdoc
pkg
+*.gem
## PROJECT::SPECIFIC
View
@@ -0,0 +1 @@
+gemspec
View
10 README
@@ -10,12 +10,8 @@ prince->PDFKit for those using princely.
Installation
============
-Rails 2.x
-
-gem install ezprint
-in environment.rb config.gem "ezprint"
-
-Rails 3
+Version 1.0.0 deprecates support for Rails 2. For Rails 2.x support,
+install an earlier version.
gem 'ezprint'
then run "bundle install"
@@ -91,4 +87,4 @@ Michael Bleigh for writing the awesome princely plugin, which most of the code i
Resources
=========
-Copyright (c) 2010 Jason Stewart, released under the MIT license.
+Copyright (c) 2012 Jason Stewart, released under the MIT license.
View
@@ -8,13 +8,8 @@ prince->PDFKit for those using princely.
== Installation
-== Rails 2.x
-
-gem install ezprint
-
-in environment.rb config.gem "ezprint"
-
-== Rails 3
+Version 1.0.0 deprecates support for Rails 2. For Rails 2.x support,
+install an earlier version.
gem 'ezprint'
View
@@ -1,42 +0,0 @@
-require 'rubygems'
-require 'rake'
-
-begin
- require 'jeweler'
- Jeweler::Tasks.new do |gem|
- gem.name = "ezprint"
- gem.summary = %Q{A Rails wrapper for the PDFkit library. Meant to be a drop in replacement for princely.}
- gem.description = %Q{A Rails wrapper for the PDFkit library. Meant to be a drop in replacement for princely.}
- gem.email = "jstewart@fusionary.com"
- gem.homepage = "http://github.com/jstewart/ezprint"
- gem.authors = ["Jason Stewart"]
- gem.add_dependency 'pdfkit', '~> 0.5.0'
- end
-
-rescue LoadError
- puts "Jeweler (or a dependency) not available. Install it with: gem install jeweler"
-end
-
-require 'rake/testtask'
-Rake::TestTask.new(:test) do |test|
- test.libs << 'lib' << 'test'
- test.pattern = 'test/**/*_test.rb'
- test.verbose = true
-end
-
-task :default => :test
-
-require 'rake/rdoctask'
-Rake::RDocTask.new do |rdoc|
- if File.exist?('VERSION')
- version = File.read('VERSION')
- else
- version = ""
- end
-
- rdoc.rdoc_dir = 'rdoc'
- rdoc.title = "ezprint #{version}"
- rdoc.options << '--line-numbers' << '--inline-source'
- rdoc.rdoc_files.include('README*')
- rdoc.rdoc_files.include('lib/**/*.rb')
-end
View
@@ -1,15 +1,12 @@
-# Generated by jeweler
-# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
# -*- encoding: utf-8 -*-
Gem::Specification.new do |s|
s.name = %q{ezprint}
- s.version = "0.3.1"
+ s.version = "1.0.0"
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Jason Stewart"]
- s.date = %q{2011-05-16}
+ s.date = %q{2012-10-27}
s.description = %q{A Rails wrapper for the PDFkit library. Meant to be a drop in replacement for princely.}
s.email = %q{jstewart@fusionary.com}
s.extra_rdoc_files = [
@@ -21,7 +18,6 @@ Gem::Specification.new do |s|
"MIT-LICENSE",
"README",
"README.rdoc",
- "Rakefile",
"VERSION",
"ezprint.gemspec",
"init.rb",

0 comments on commit 2b5838a

Please sign in to comment.